Welcome to XC RTDisplay

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage

The role of XC RTDisplay within an XConnect data collection system is to provide the user with a flexible real-time display either in tabular or a graphical forms. XC RTDisplay connects automatically to a local or remote XConnect servers. XC RTDisplay will connect to XC Decode and/or XC Rtu to receive data. XC RTDisplay will connect to XC Setup to display the list of available stations and senors for display.

The user has full control over what sensors he/she would like to see on one or all displays. XC RTDisplay remembers all user selections when closed. XC RTDisplay can be run on the local machine or on remote machines. Using a network, individuals can run their own copy of XC RTDisplay and all connect to the main XConnect servers. This allows individuals to customize XC RTDisplay to their own sensor display requirements.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around XC RTDisplay

Moving around in XC RTDisplay

The XC RTDisplay application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Select panel displays all the stations defined in XC Setup and the sensors for each station.

  • The Display windows displays the real-time data.

  • The Status panel provides the user with informational or error messages related to data display.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


XC RTDisplay is requesting the station and sensor information from XC Setup.

XC RTDisplay received a Refresh command from XC Setup. XC RTDisplay will disconnect from current servers and then reconnect to the XConnect servers.

XC RTDisplay received a Shutdown command from XC Setup. XC RTDisplay will prepare to shutdown also.

XC RTDisplay has initialized properly, connected to XConnect servers and is waiting for data.

XC RTDisplay received a Shutdown command from XC Rtu. XC RTDisplay will prepare to disconnect from XC Rtu as a data source.

XC RTDisplay received a Shutdown command from XC Decode. XC RTDisplay will prepare to disconnect from XC Decode as a data source.

XC RTDisplay has not initialized properly and will not display real-time data.

Messages in the status window

Below are the status messages XC RTDisplay will display in the status window as it display data from either XC Rtu or XC Decode:

  • Retrieving setup parameters from XC Setup...

  • Refresh command received.

  • Shutdown command received.

  • Ready...

  • XC Rtu shutdown command received.

  • XC Decode shutdown command received.

  • Processing stopped.


Adding and removing sensors from real-time display

Adding and removing sensors from real-time displays

The user has full control over what sensors he/she would like to see on one or all displays. Selecting sensors is very simple. If selecting one or two sensors using the pull down station and senor list boxes in the Select Panel area of the main window.

If the user wants to select multiple or all sensors for a station, clicking the More button [image] will display a list box with all the stations sensors listed. The user can multi-select many or all sensors to the current display window. Clicking on the More button will toggle the display of the Select list box.

After highlighting or selecting the sensor, select Add To Watch List from the Watch main menu or select [image] from the toolbar. If the Select list box is displayed the user can also select Add All to Watch List from the Watch main menu to add all sensors for this station to the watch window.

To remove a sensor from a watch window, click on the sensor and select Delete From Watch List from the Watch menu. To select multiple sensors, you can hold down the Ctrl key while clicking individual sensors. All of the selected sensors will be deleted from the watch list.

To remove a sensor from the graph window, select the Delete from Watch List from the Watch main menu. The Select Series window will appear to allow the user to select one or many sensors on the graph.

Select one or all sensors by using the CTRL or SHIFT key(s) and then selecting the Clear button. The selected sensors will be removed from the current graph window.


Editing graph display options

The real-time graphs have a few options to help customize the display.

  1. Click the XC RTDisplay to start the application.

  2. From the Options menu, select Graph Settings or from the toolbar click the [image] button.

  3. The Graph Options window appears.

Graph Options parameters

  • Axis Style

    • Single Axis - Selecting this option, which is the default, will display all graph data on a single common y-axis.

    • Multi Axis - Selecting this option will display each data set with its' own y-axis. The data sets will be stacked on the graph.

  • Display Style

    • Real Time - Selecting this option indicates the graph and the x-axis will be updated as the time changes.

    • Historical Time - When using XC Decode, this option will re-adjust the x-axis to the range of the decoded data, especially if the user is re-decoding old raw files.

  • Interval

    • Display - This parameter sets the time range of the x-axis.

    • Refresh Interval - This parameter determines how often the graph and x-axis (time axis) will be updated.

  • Ranges

    • Auto Range Adjustment - Check this field to have XC RTDisplay automatically set the y-axis minimum and maximum based on the data.

    • Min - Minimum value of the y-axis when Auto Range Adjustment is unchecked.

    • Max - Maximum value of the y-axis when Auto Range Adjustment is unchecked.


Customizing the watch windows

XC RTDisplay allows the user to customize the graph and list watch windows. XC RTDisplay supports a total of 16 watch windows. The user can enter any amount or combination of graph and/or list watch windows providing the most flexibility for all systems and users. To customize the watch windows.

  1. Click the XC RTDisplay to start the application.

  2. From the Options menu, select Application Settings.

  3. The Application Options window appears.

  4. Select the desired number of graph and list watch windows and click OK.


Copying and saving real-time data

For convenience, the data displayed on all watch or graph windows in the XC RTDisplay program can easily be transferred to other documents or reports. Select File|Copy from the main menu or [image] from the toolbar.

For a watch list window, the sensor names and their values are saved to the Windows clipboard and can be pasted into documents as text. For graph windows. the graph can be copied and pasted as a bitmap.


Connecting to a remote servers

Normally, XC RTDisplay will connect to the XConnect servers running on the same computer. Since XConnect modules are automation servers, connections can be made remotely over a network. In many cases, the XConnect base station computer that is controlling communications is in a separate office or building than the users. In this situation, the users can run XC RTDisplay on his/her local machine and connect over the network to the XConnect servers on the XConnect base station. The data collected on the remote computer node can be displayed by the XC RTDisplay running on the local machine.

To connect to a remote XC Setup:

  1. From the main menu, select Options|Remote Nodes or click on the [image] to select a computer node on the network.

  2. After selecting the XConnect base station computer node, XC RTDisplay will display all real-time data received by the XC Rtu or XC Decode on the remote mode. Additionally, XC RTDisplay will display the stations and sensors from the remote XC Setup.


Reinitializing parameters

XC RTDisplay gets the configuration data it needs from the XC Setup program. Since most of this information is requested at application startup, there needs to be a mechanism for propagating changes that are made to the setup after XC RTDisplay is already running. This mechanism is provided via the Reinitialize [image] function which can be found in XC Alarm on the toolbar or under the FILE menu. Clicking the Reinitialize [image] button causes XC Alarm to flush the current setup information from its buffer, request new setup information from XC Setup and most importantly, re-connects to the XC Rtu or XC Decode.


Troubleshooting tips

XC RTDsiplay is a client program used to display real-time data. No additional process is performed. This reduces the level of complexity, thus, errors in the program. The source of most failures for XC RTDisplay potentially will occur in the connection with the XConnect servers. If data fails to update on the real-time displays. Close the application and re-start. If error continues to persist, close all XConnect applications and re-start.


Error messages

Troubleshooting steps:

A COM interface connection is made by each XConnect application to XC Setup. This allows the applications to retrieve and send configuration parameters related to XC Mux.

Potential reasons for error:

  • XC Setup is not running.

Close current application and restart. XC Setup should start automatically.

  • XC Setup does not start automatically with XConnect application.

Close current application. Start XC Setup manually from Start Menu. Then re-start XConnect application.

If error still persists, reboot computer.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Decode is corrupted.

Close XC Decode and restart. Select File|Refresh from the main menu or [image] from the toolbar.

If error still persists, reboot computer.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Rtu is corrupted.

Close XC Decode and restart. Select File|Refresh from the main menu or [image] from the toolbar.

If error still persists, reboot computer.

Troubleshooting steps:

Potential reasons for error:

  • File may be corrupt. The settings file is an ASCII file. Try to open the file in Notepad.

  • File may be correct extension by wrong expected format. Choose another file.

Troubleshooting steps:

Potential reasons for error:

  • File currently open by another application, such as Notepad.

  • Insufficient hard disk space.

Click on My Computer. Click on the hard disk that XConnect is installed. Right click and select Properties. Verify disk space available.

Troubleshooting steps:

Potential reasons for error:

  • The Refresh procedures to reinitialize connections with the XConnect servers failed.

Close XC RTDisplay and restart. If error persists, close down XConnect servers and re-start.

Error Messages

Potential error messages generated by XC RTDisplay are:

Error 4: An instance of the "XCSetup.Applications" OLE Automation class could not be created. Is XC Setup running?.

Error 7: Unable to retrieve General Setup parameters.

Error 1000: Unable to connect to XC Decode Interface.

Error 1001: Unable to connect to XC Rtu Interface.

Error 1002: Unable to read application settings.

Error 1003: Unable to save application setting.

Error 1004: Unknown Refresh Exception.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Display Windows

XC RTDisplay provides the user with generic watch and graph windows to view real-time data. The user can choose to add sensors to one or all display windows. When XC RTDisplay is closed, all sensor selections are remembered. This provides the user with instant updating once the data is received.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Refresh -- reloads the latest setup information from XC Setup and re-connects to local XC Rtu and/or XC Decode.

  • Save -- saves current graph or watch list data to disk.

  • Copy -- copies current graph or watch list data to clipboard.

  • Exit -- terminate the application.

Watch

  • Add To Watch List -- add selected sensor to current graph or watch tab.

  • Delete From Watch List -- delete selected sensor(s) from current graph or watch tab.

  • Add All To Watch List -- add all sensors of selected station to current graph or watch tab.

  • Pause Display -- pause updates to current graph or watch tab.

Options

  • Remote Nodes -- connect to remote XConnect servers as source of data .

  • Show Status Messages -- show status messages panel.

  • Clear Status Messages -- clear the status message window.

  • Graph Settings... -- edit graph display settings.

  • Application Settings... -- edit applications settings.

Help

  • XC RTDisplay Help -- access this help system an defaults to Index tab.

  • XC RTDisplay Contents -- access this help system an defaults to Contents

  • About -- get version information for this application.


Select panel

The Select Panel

The Select Panel allows users to select the desired sensors to display on each display window. XC RTDisplay will show the stations defined in XC Setup in the Stations pull-down list box. After selecting a station, the sensors for that station will be displayed in the Sensors pull-down list box. These controls allow the user to easily select and add individual sensors to the current display window.

Selecting the More button will display a list box display all sensors for a station so multiple sensors can be selected at one time.


Status Window

The Status Window

The Status window gives a list of real-time display events performed by the XC RTDisplay program.

This list of status messages is in time order with each entry stamped with the date and time. Newest messages will appear at the top. Scroll bars will appear as needed to allow an operator to view parts of the display that may not fit in the window.


StatusBar

The Status Bar

The Status Bar displays parameter hints.


Toolbar

The XC RTDisplay Toolbar

The toolbar area allows you to quickly access various XC RTDisplay functions.

The following tools are provided:

Reload the latest setup information from XC Setup and re-connects to local XC Rtu and/or XC Decode.

Save current graph or watch list data to disk.

Copy current graph or watch list data to clipboard.

Add selected sensor to current graph or watch tab.

Delete selected sensor(s) from current graph or watch tab.

Connect to remote XConnect servers.

Edit graph display settings.

Show status messages panel.

Open the on-line help (this document).